function major_axis = PartMajorAxis(part_feature)

    major_axis = [part_feature.x0 + cos(part_feature.ellipse_angle)*part_feature.a; ...
        part_feature.y0 + sin(part_feature.ellipse_angle)*part_feature.a; ...
        part_feature.x0 - cos(part_feature.ellipse_angle)*part_feature.a; ...
        part_feature.y0 - sin(part_feature.ellipse_angle)*part_feature.a];
