% Compute the color histogram features in the region BW

function color_hist = RegionColorHistogram(BW, img_h, img_s, img_v, num_bins)

    rgb_range = linspace(0, 1, num_bins + 1);
%     color_hist_r = histc(img_r(BW), rgb_range);
%     color_hist_r = reshape(color_hist_r(1:end-1), [1, num_bins]);
%     color_hist_r = color_hist_r / sum(color_hist_r);
%     color_hist_g = histc(img_g(BW), rgb_range);
%     color_hist_g = reshape(color_hist_g(1:end-1), [1, num_bins]);
%     color_hist_g = color_hist_g / sum(color_hist_g);
%     color_hist_b = histc(img_b(BW), rgb_range);
%     color_hist_b = reshape(color_hist_b(1:end-1), [1, num_bins]);
%     color_hist_b = color_hist_b / sum(color_hist_b);

    color_hist_h = histc(img_h(BW), rgb_range);
    color_hist_h = reshape(color_hist_h(1:end-1), [1, num_bins]);
    color_hist_h = color_hist_h / sum(color_hist_h);

    color_hist_s = histc(img_s(BW), rgb_range);
    color_hist_s = reshape(color_hist_s(1:end-1), [1, num_bins]);
    color_hist_s = color_hist_s / sum(color_hist_s);

    color_hist_v = histc(img_v(BW), rgb_range);
    color_hist_v = reshape(color_hist_v(1:end-1), [1, num_bins]);
    color_hist_v = color_hist_v / sum(color_hist_v);
    try
        color_hist = [color_hist_h, color_hist_s, color_hist_v];
%         color_hist = hist_twoD(img_h(BW), img_s(BW), rgb_range, rgb_range);
%         color_hist = color_hist(1:end-1, 1:end-1);
%         color_hist = color_hist ./ sum(color_hist(:));
%         color_hist = color_hist(:);
    catch ME
        sdfdsf = 1;
    end

