function selected_parts_indicator = SelectSymmetricPart_SingleImage(parts, part_labels, part_score, part_affinity, part_adjacency)
    disp('Selecting non-redundant symmetric parts .....');
    num_parts = size(parts, 3);
    num_clusters = max(part_labels);
    selected_parts_indicator = false(num_parts, 1);
    for i = 1:num_clusters
        cluster_part_ind = find(part_labels == i);
        selected_parts = PartClusterSelectParts(parts, cluster_part_ind, part_score, part_affinity, part_adjacency);
        selected_parts_indicator(selected_parts) = true;
    end
