function [part_labels, part_affinity, part_adjacency] = GroupSymmetricParts_SingleImage(img, parts, part_classifier_params, image_data, felz_k)
    disp('Grouping symmetric parts .....');
    
    if (nargin < 5 || isempty(felz_k))
        felz_k = 5;
    end
    
    [part_affinity, part_adjacency] = PartAffinityOneImage(img, parts, part_classifier_params, image_data);
%     mat_filename = [filename(1:end-4), '_parts_and_affinities.mat'];
%     save(mat_filename, 'parts', 'part_scales', 'part_score', 'image_data', 'part_affinity', 'part_adjacency', 'part_features');
%     load(mat_filename);
    part_affinity = part_affinity / max(part_affinity(:));
    weights = 1 ./ (part_affinity + eps);
    part_labels = PartAffinityCluster(weights, felz_k, parts, img, part_affinity, part_adjacency);
    
