function part_ellipse = PartEllipse(part_BW)
    stats = regionprops(double(part_BW), 'Orientation', 'MajorAxisLength', 'MinorAxisLength', 'Centroid', 'Area');
    part_ellipse.a = stats(1).MajorAxisLength/2;
    part_ellipse.b = stats(1).MinorAxisLength/2;
    part_ellipse.x0 = stats(1).Centroid(1);
    part_ellipse.y0 = stats(1).Centroid(2);
    part_ellipse.ellipse_angle = -pi*stats(1).Orientation/180;
    part_ellipse.area = stats(1).Area;
